#ifndef QLOGINWIDGET_H
#define QLOGINWIDGET_H

#include <string>
#include <QtWidgets/QtWidgets>
//#include <QDialog>
//#include <QTextCodec>
#include "ui_QLoginWidget.h"
//#include "DataManipulate.h"

using namespace std;

class QLoginWidget : public QDialog
{
	Q_OBJECT

public:
	QLoginWidget(QWidget *parent = 0);
	~QLoginWidget();

	bool isLogin() const { return m_isLoginSuccess; }

private:
	void init();
	void initWidget();
	void initSignal();

protected Q_SLOTS:
	void login();
	void cancel();

	void getUserName();

private:
	Ui::QLoginWidget ui;
	QTextCodec * pCodecLocal;
	QTextCodec * pCodecUTF8;

private:
	string m_userCode;
	string m_userName;
	string m_userPassword;

	bool m_isLoginSuccess;
};

#endif // QLOGINWIDGET_H
